# FreeType-2.3.5 API Reference

# Font Formats

## Synopsis

| FT_Get_X11_Font_Format |  |  |  |

The single function in this section can be used to get the font format. Note that this information is not needed normally; however, there are special cases (like in PDF devices) where it is important to differentiate, in spite of FreeType's uniform API.

#### FT_Get_X11_Font_Format

      FT_EXPORT( const char* )
      FT_Get_X11_Font_Format( FT_Face  face );

Return a string describing the format of a given face, using values which can be used as an X11 FONT_PROPERTY. Possible values are ‘TrueType’, ‘Type 1’, ‘BDF’, ‘PCF’, ‘Type 42’, ‘CID Type 1’, ‘CFF’, ‘PFR’, and ‘Windows FNT’.

input

face | Input face handle.

return
Font format string. NULL in case of error.

[Index] |  | [TOC]